import java.io.PrintStream;
import java.util.Arrays;
import java.util.Scanner;

/**
 * Solution to Star Arrangements
 * 
 * @author vanb
 */
public class stars_vanb
{
    private static Scanner sc;
    private static PrintStream ps;
    
    private void doit()
    {
        int n = sc.nextInt();
        for( int i=2; i<n; i++ )
        {
            // Suppose the difference between the first row and second is 1.
            // If the first row has i stars, then the two together have 2i-1.
            //
            // If n mod (2i-1) is zero, then you can make a flag with an even number
            // of rows, just repeating those two rows.
            //
            // If n mod (2i-1) is i, then you can make a flag with an odd number
            // of rows, with the last row having i stars (same as the first row).
            int mod = n % (i+i-1);
            if( mod == 0 || mod == i ) ps.println( i + " " + (i-1) );
            
            // If n is evenly divisible by i, then you can make a flag
            // with i rows, all of the same length (difference between rows is 0)
            if( n%i==0 ) ps.println( i + " " + i );
        }
    }
        
    public static void main( String[] args ) throws Exception
    {
        sc = new Scanner( System.in );
        ps = System.out;
        
        new stars_vanb().doit();
    }

}
